<div class="line-statistics" *ngIf="line">
  <h3>
    {{ 'LINE_INFO.STATISTICS' | translate }}
  </h3>
  <ng-container *ngIf="!isLoading">
    <div class="line-statistic" *ngIf="showLengthLine">
      <label>{{ 'LINE_INFO.LONGUEUR' | translate }}</label>
      <span>{{ lineInformation?.length | number: '1.0-0' }}{{ 'UNIT.ABBR.METER' | translate }}</span>
    </div>
    <div class="line-statistic" *ngIf="showRotationTimeLine">
      <label>{{ 'LINE_INFO.TIME' | translate }}</label>
      <span>{{ lineInformation?.roundTripTime | calcTime }}</span>
    </div>
    <div class="line-statistic" *ngIf="showNbBusLine">
      <label>{{ 'LINE_INFO.PARK' | translate }}</label>
      <span>{{ lineInformation?.busNeed | number: '1.0-2' }} {{ 'UNIT.BUS' | translate }}</span>
    </div>
    <div class="line-statistic" *ngIf="showCommercialKmLine">
      <label>{{ 'LINE_INFO.COMMERCIAL_KM' | translate }}</label>
      <span>{{ lineInformation?.commercialKm | convertKmInMeter | formatNumber }} {{ 'UNIT.ABBR.KILOMETER' | translate }}</span>
    </div>
  </ng-container>
  <geodesign-loader *ngIf="isLoading"></geodesign-loader>
</div>

